Loading...
Searching...
No Matches
PointsToMask< GridT, InterrupterT > Class Template Reference

Makes every voxel of a grid active if it contains a point. More...

`#include <openvdb/tools/PointsToMask.h>`

## Classes

struct | ReducePool

## Public Types

using | ValueT = typename GridT::ValueType

## Public Member Functions

| PointsToMask (GridT &grid, InterrupterT *interrupter=nullptr)
| Constructor from a grid and optional interrupter.
template<typename PointListT, typename VecT = Vec3R>
void | addPoints (const PointListT &points, size_t grainSize=1024)
| Activates the state of any voxel in the input grid that contains a point.

## Detailed Description

template<typename GridT, typename InterrupterT>
class openvdb::v11_0::tools::PointsToMask< GridT, InterrupterT >

Makes every voxel of a grid active if it contains a point.

## Member Typedef Documentation

## ValueT

template<typename GridT, typename InterrupterT>

using ValueT = typename GridT::ValueType

## Constructor & Destructor Documentation

## PointsToMask()

template<typename GridT, typename InterrupterT>

PointsToMask | ( | GridT & | grid,
|  | InterrupterT * | interrupter = nullptr )

inlineexplicit

Constructor from a grid and optional interrupter.

Parameters

  grid | Grid whose voxels will have their state activated by points.
  interrupter | Optional interrupter to prematurely terminate execution.

## Member Function Documentation

## addPoints()

template<typename GridT, typename InterrupterT>
template<typename PointListT, typename VecT = Vec3R>

void addPoints | ( | const PointListT & | points,
|  | size_t | grainSize = 1024 )

inline

Activates the state of any voxel in the input grid that contains a point.

Parameters

  points | List of points that active the voxels in the input grid.
  grainSize | Set the grain-size used for multi-threading. A value of 0 disables multi-threading!